<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                             Content Management System              //
// Официальный сайт сайт проекта:      http://johncms.com                     //
// Дополнительный сайт поддержки:      http://gazenwagen.com                  //
////////////////////////////////////////////////////////////////////////////////
// JohnCMS core team:                                                         //
// Евгений Рябинин aka john77          john77@gazenwagen.com                  //
// Олег Касьянов aka AlkatraZ          alkatraz@gazenwagen.com                //
//                                                                            //
// Информацию о версиях смотрите в прилагаемом файле version.txt              //
////////////////////////////////////////////////////////////////////////////////
*/

define('_IN_JOHNCMS', 1);

$headmod = 'anketa';
$textl = 'Редактирование Статуса';
require_once ('../incfiles/core.php');
require_once ('../incfiles/head.php');

echo '<div class="phdr"><b>Личный статус</b></div>';
if (!$user_id) {
    display_error('Только для зарегистрированных посетителей');
    require_once ('../incfiles/end.php');
    exit;
}
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$user_id' LIMIT 1");
    if (mysql_num_rows($req)) {
        $user = mysql_fetch_assoc($req);
        $textl = 'Личный статус: ' . $user['name'];
        }
$item  = htmlspecialchars(mysql_escape_string(trim($_GET['item'])));
if(!empty($item) && $item == 'del'){
    echo 'Удалить статус?<br /><a href="statusik.php?item=yes">Да</a> <a href="anketa.php' . ($id ? '?id=' . $id : '') . '">Нет</a>';
}
elseif(!empty($item) && $item == 'yes'){
    @mysql_query("update `users` set `statusik_img` = '1', `statusik` = '' WHERE `id` = '$user_id'");
    echo 'Статус удален';
}
elseif(!empty($item) && $item == 'add'){
    $statusik = htmlspecialchars(mysql_escape_string(trim($_POST['statusik'])));
    $statusik_img = htmlspecialchars(mysql_escape_string(trim($_POST['statusik_img'])));
    if(empty($statusik_img)) $statusik_img = 1;
    @mysql_query("update `users` set `statusik_img` = '".$statusik_img."', `statusik` = '".$statusik."' WHERE `id` = '$user_id'");
    echo 'Статус добавлен';
}
else {
    echo '<form action="statusik.php?item=add" method="post">';
    for($i = 1; $i <= 36; $i++){
        echo '<input type="radio" name="statusik_img" value="'.$i.'"/><img src="/images/st/'.$i.'.gif" /> ';
        if($i == 6 OR $i == 12 OR $i == 18 OR $i == 24 OR $i == 30){
            echo '<br />';
        }
    }
    if(!empty($user['statusik']) && $user['statusik_img'] !== '1'){
    echo '<br /><input checked="" type="radio" name="statusik_img" value="'.$user['statusik_img'].'"/><img src="/images/st/'.$user['statusik_img'].'.gif" />';
}
    echo '<br />Текст статуса: <input type="text" name="statusik" maxlength="70" value="'.$user['statusik'].'"/>
    <br /><input type="submit" value="Добавить"/>
    </form>';
}
echo '<div class="phdr"><a href="anketa.php' . ($id ? '?id=' . $id : '') . '">В анкету</a></div>';

require_once ('../incfiles/end.php');

?>